# Create a new payout method Returns the single created payout method Endpoint: POST /v1/payout_methods Version: 1.0.0 Security: oauth2 ## Request fields (application/json): - `payout_partner_id` (string, required) - `payout_category` (string, required) - `payout_method_name` (string, required) - `payout_method_display_name` (string, required) - `payout_method_description` (string, required) - `payout_country` (string, required) - `payout_currency` (string, required) - `supported_usecase` (string, required) - `rounding_rules` (object, required) Holds the rules used to calculate fee - `rounding_rules.payout_amount_fee_calculation_decimal_scale` (integer, required) When calculating percentage fees for this payout method, this the number of decimal places to round the payout amount by before multiplying by the percentage Example: 2 - `fee_calculation_rule` (string, required) fee calculation rule. If set to REGULAR, find the matching range slabs, apply the percentage or fixed fee based on PayoutFeeType. A global/administrative fee can be applied on top of a slab fee. Enum: "REGULAR" - `payout_fees` (array, required) - `payout_fees.currency` (string, required) Example: "AUD" - `payout_fees.from_amount` (string, required) - `payout_fees.to_amount` (string, required) Example: 1000 - `payout_fees.fee_amount` (string, required) flat value fee Example: 5 - `payout_fees.fee_percent` (string, required) fee as percentage of payment Example: 2 - `payout_fees.min_fee_amount` (string) minimum fee amount. Default to 0 (no minimum limit) Example: 25 - `payout_fees.max_fee_amount` (string) maximum fee amount. Default to maximum number (no upper limit) Example: 100 - `payout_fees.fee_type` (string, required) the calculation rule of payout fee element. By default, REGULAR. If set to AMINISTRACTIVE/GLOBAL, the fee should be applied to every transaction. If set to Hihger/Lower of Flat or Percentage fee, then the higher/lower amount of flat/pct fee will be applied Enum: "REGULAR", "ADMINISTRATIVE", "HIGHER_OF_FLAT_OR_PCT_FEE", "LOWER_OF_FLAT_OR_PCT_FEE" - `payout_fees.description` (string) description of the fee rules and other details Example: "Administrative/global fee, applied for each transaction" - `payout_settlement_times` (object, required) Holds the amount and unit of time it takes for a settlement to occur - `payout_settlement_times.settlement_time` (integer, required) - `payout_settlement_times.settlement_time_unit` (string, required) - `payout_limits` (object, required) Defines the limits for payouts min, max size of payment and the maximum amount per beneficiary - `payout_limits.min_payment_size` (string, required) - `payout_limits.max_payment_size` (string, required) - `payout_limits.max_amount_per_beneficiary` (string, required) - `receiver_payout_method` (string) ## Response 200 fields (application/json): - `payout_method_id` (string, required) - `payout_partner_id` (string, required) - `payout_partner_name` (string, required) Example: "Tranglo" - `payout_category` (string, required) Example: "BANK | EWALLET | CASH_PICKUP | ATM" - `payout_method_name` (string, required) Example: "tranglo_bank_treasury_AU_AUD_payout" - `payout_method_display_name` (string, required) Example: "Tranglo treasury bank AUD payout in AT" - `payout_method_description` (string, required) Example: "Tranglo bank (payout category) AUD payout in Australia (AT) for treasury use case" - `payout_method_status` (string, required) Enum: "ACTIVE", "DELETED" - `payout_country` (string, required) Payout country as two-letter ISO 3166-1 Alpha-2 code Example: "AT" - `payout_currency` (string, required) Example: "AUR" - `supported_usecase` (string, required) Example: "TREASURY | P2P | B2B | B2C" - `rounding_rules` (object, required) Holds the rules used to calculate fee - `rounding_rules.payout_amount_fee_calculation_decimal_scale` (integer, required) When calculating percentage fees for this payout method, this the number of decimal places to round the payout amount by before multiplying by the percentage Example: 2 - `fee_calculation_rule` (string, required) fee calculation rule. If set to REGULAR, find the matching range slabs, apply the percentage or fixed fee based on PayoutFeeType. A global/administrative fee can be applied on top of a slab fee. Enum: "REGULAR" - `payout_fees` (array, required) - `payout_fees.currency` (string, required) Example: "AUD" - `payout_fees.from_amount` (string, required) - `payout_fees.to_amount` (string, required) Example: 1000 - `payout_fees.fee_amount` (string, required) flat value fee Example: 5 - `payout_fees.fee_percent` (string, required) fee as percentage of payment Example: 2 - `payout_fees.min_fee_amount` (string) minimum fee amount. Default to 0 (no minimum limit) Example: 25 - `payout_fees.max_fee_amount` (string) maximum fee amount. Default to maximum number (no upper limit) Example: 100 - `payout_fees.fee_type` (string, required) the calculation rule of payout fee element. By default, REGULAR. If set to AMINISTRACTIVE/GLOBAL, the fee should be applied to every transaction. If set to Hihger/Lower of Flat or Percentage fee, then the higher/lower amount of flat/pct fee will be applied Enum: "REGULAR", "ADMINISTRATIVE", "HIGHER_OF_FLAT_OR_PCT_FEE", "LOWER_OF_FLAT_OR_PCT_FEE" - `payout_fees.description` (string) description of the fee rules and other details Example: "Administrative/global fee, applied for each transaction" - `payout_settlement_times` (object, required) Holds the amount and unit of time it takes for a settlement to occur - `payout_settlement_times.settlement_time` (integer, required) - `payout_settlement_times.settlement_time_unit` (string, required) - `payout_limits` (object, required) Defines the limits for payouts min, max size of payment and the maximum amount per beneficiary - `payout_limits.min_payment_size` (string, required) - `payout_limits.max_payment_size` (string, required) - `payout_limits.max_amount_per_beneficiary` (string, required) - `receiver_payout_method` (string) ## Response 400 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 401 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 403 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 409 fields (application/problem+json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string) ## Response 500 fields (application/json): - `status` (integer, required) - `errors` (array, required) - `errors.category` (string, required) Enum: "TRANSACTION", "VALIDATION", "AUTHZ", "INTERNAL", "MISCELLANEOUS", "FUND", "ACCOUNT", "COMPLIANCE" - `errors.title` (string, required) - `errors.code` (string, required) - `errors.detail` (string, required) - `timestamp` (string)